# Get File Ingestion Status

This API will be used to know the final status of the ingestion.&#x20;

### Request Method

GET

### Request URL

```
{{BASE_URL}}/ingestion/integration/v1/{templateType}/ingest/file/status/{activityId}?tenant={tenant}
```

### Request Headers

| Parameter             | Data Type | Field Validation | Description                               |
| --------------------- | --------- | ---------------- | ----------------------------------------- |
| x-cleartax-auth-token | String    | NA               | <p>Mandatory. </p><p>User auth token.</p> |

### Request Path Params

| Parameter    | Data Type | Field Validation        | Description                                                    |
| ------------ | --------- | ----------------------- | -------------------------------------------------------------- |
| templateType | String    | <p>Enum: tds</p><p></p> | <p>Mandatory. </p><p>This will always be “tds”.</p>            |
| activityId   | String    | NA                      | Mandatory. Activity ID received in Trigger File Ingestion API. |

### Request Query Params

| Parameter | Data Type | Field Validation                                                                                                            | Description |
| --------- | --------- | --------------------------------------------------------------------------------------------------------------------------- | ----------- |
| tenant    | String    | <p></p><p>Enum:</p><p>For 24Q - TDSV224Q<br>For 26Q - TDSV226Q<br>For 27Q - TDSV227Q<br>For 27EQ - TDSV227EQ</p><p><br></p> | Mandatory.  |

### Request Body

There is no request body for this API.

### Response Status Codes

| HTTP Status Code | Description           |
| ---------------- | --------------------- |
| 200              | OK                    |
| 400              | Bad request.          |
| 401              | Unauthorized          |
| 500              | Internal Server Error |

### Response Schema

| Parameter       | Data Type | Field Validations                                                                                                                                                                             | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| --------------- | --------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| activityId      | String    | NA                                                                                                                                                                                            | Activity ID requested in the request.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| status          | String    | <p>Enum:<br>ACTIVITY\_CREATED, ACTIVITY\_QUEUED, ACTIVITY\_COMPLETED, ACTIVITY\_DISCARDED,</p><p>SYSTEM\_FEEDBACK,<br>UNPLANNED\_ERROR,</p><p>FILE\_VALIDATION,</p><p>ERROR\_FILE\_UPLOAD</p> | <p>Status of the triggered ingestion activity.<br><br>ACTIVITY\_CREATED - Ingestion triggered,</p><p>ACTIVITY\_QUEUED - Ingestion in progress,</p><p>ACTIVITY\_COMPLETED - Ingestion completed or aborted or error,</p><p>ACTIVITY\_DISCARDED - Ingestion deleted from UI.</p><p>SYSTEM\_FEEDBACK - Any handled error on the file, eg: file corrupted, mandatory header missing, duplicate header, etc.<br>UNPLANNED\_ERROR - Any unhandled error.</p><p>FILE\_VALIDATION - Ingestion is in progress, file header validation is done, and yet to be picked by subactivity for row validation.</p><p>ERROR\_FILE\_UPLOAD - Row Validation is done, file containing validation error records is being uploaded.</p> |
| processingStats | Array     | NA                                                                                                                                                                                            | Array of Processing Stats objects. If the activity is not completed, then this field will be an empty array.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| fileError       | Object    | NA                                                                                                                                                                                            | File Error Object. If there is no file error, then this field will be null.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| errors          | Array     | NA                                                                                                                                                                                            | Array of Error Objects. If there are no errors, then this will be an empty array.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |

#### Processing Stats Object

| Parameter          | Data Type | Field Validations | Description                                          |
| ------------------ | --------- | ----------------- | ---------------------------------------------------- |
| identifier         | String    | NA                | Identifier.                                          |
| totalDocumentCount | Number    | NA                | Count of total documents parsed from the valid rows. |
| validRows          | Number    | NA                | Count of valid rows.                                 |
| invalidRows        | Number    | NA                | Count of invalid rows.                               |

#### File Error Object

| Parameter     | Data Type | Field Validations                                       | Description                                                                                                                                                                                                                                                                                                                                                                                                   |
| ------------- | --------- | ------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| inputFileName | String    | NA                                                      | Filename used in Trigger File Ingestion API.                                                                                                                                                                                                                                                                                                                                                                  |
| status        | String    | <p>Enum: DATA\_VALIDATION\_ERROR,</p><p>FILE\_ERROR</p> | <p>Status of the error file.</p><p></p><p>DATA\_VALIDATION\_ERROR - This error occurs when there is a validation error in the data provided in the sheet.</p><p></p><p>FILE\_ERROR - This error represents system feedback for all errors that are not data validation errors. For example, if a file is expected to be without a password but is received with a password, it falls under this category.</p> |
| errorFileUrl  | String    | NA                                                      | URL from where the error file can be downloaded. This pre-signed URL is valid for 10 hours. This file will be in CSV format.                                                                                                                                                                                                                                                                                  |
| errors        | Array     | NA                                                      | Array of File Error Details Object. If there are no errors, this will be null.                                                                                                                                                                                                                                                                                                                                |

#### Error Object

| Parameter    | Data Type | Field Validations | Descriptions                                                                          |
| ------------ | --------- | ----------------- | ------------------------------------------------------------------------------------- |
| errorCode    | String    | NA                | Error code. If there is no error code, then this will be null.                        |
| errorMessage | String    | NA                | Error message. If there is no error message, then this will be null.                  |
| errorField   | String    | NA                | Error field. If there is no error field, then this will be null.                      |
| errorValues  | Array     | NA                | Array of strings. Error values. If there are no error values, then this will be null. |

### Sample Response (Success)

Success - HTTP Status Code - 200

```json
{
    "activityId": "b460c73d49c7407bb4bb2a93616fc0de",
    "status": "ACTIVITY_COMPLETED",
    "processingStats": [
        {
            "identifier": "",
            "totalDocumentCount": 1,
            "validRows": 0,
            "invalidRows": 1
        }
    ],
    "fileError": {
        "inputFileName": "TDS-TEST.csv",
        "status": "DATA_VALIDATION_ERROR",
        "errorFileUrl": "https://storage.clear.in/v1/ap-south-1/ingestionv2-staging/My%20Organis_TDSV2_b460c73d49c7407bb4bb2a93616fc0de.csv?X-Amz-Security-Token=IQoJb3JpZ2luX2VjEBkaCmFwLXNvdXRoLTEiRzBFAiEAygdXFleTIJmj6qMGwiw8I%2FpMYNPYSIJvW9dLNuJ%2BXngCIDygAe6yPt0vEEnyOdLBcsVPgJ%2F2rAl7BjyW38uAKmJcKoIFCBIQBRoMMjE5MzQxOTA3OTgzIgw4ilzSw44LEkp5T5gq3wQtCOlueA%2BQ4PpnD4Ojn%2FhIAN%2Fa%2BQWFOI6ow8mtQFv0c0iwA%2BdujGLgz7rODcmnWvMDZmKbSlrRIcqoz3SR%2BtnL%2FCLtWl7f5D2qeNyHUXYj%2FlC9QBrcnRcfh37jy1skVgGEFiH1XewLeDmVbgo66gQhGqmOiZIRycvQRV%2Fo6ogkI1oJNFMkVf3lC4mgTy7Zm57ClgkdNnVPkCoSH1r7XF0ko8MDzJBp7NCkCauyfaU9zloRTzjdGYlGJFOOtTqYuTov8JPz4JORz10Ncn6pQ44jJVUJcvZN21owhAg6aalYGNzBW732Kn9SklEw1wPvuj7vPl8XsvKhYy7bMeaJIT3I6uSd2Bl4jVcD3a0XE070dRVIcPjknzxss5jrzKUEGiWPv%2FyCkYBRkesWFZfeu3F9LA%2B%2BZuQ6AvNEv1y20QNoHUNbCOyxZJbhmMKFXCTQHJbbirecaYqAXBx2ZUOZ2TaQq7H4Z89b2ZyHRRGYGZHLod3yo6iYhxdjR0HwAQgf9K%2FhXhm1I8Hwn2Y401e6DQqMCHi16sqbJFTUEWmXgQLghjm%2F8xCcII0GpajR4a1DJ64q3u2sZo%2B1g%2Fcu8xmmE%2FvdKlqnlI4slX%2BAENeMmDGrNCHnB9CU2MOPbNnIt%2BwPSm3IWCMEpDmXXBbOIkRwLwm0aW6cC3SlmwF%2FXg%2BibLA7W4LGlcmnRmIGDlCteQxpBsVLnNUApMClMTcQyu%2BkAGiCNg7Vf4wBBtTTlIFLjalxogFg3C9fL%2BZG7gf9ecibCVYZq%2BCPbozL1E1W2XDU0HZXAkmVQvsSCyhoETwJ5T10MJy2tagGOpoB7%2BGz%2BiK6MUA9VkKcIdwQ9n4cJJ%2FugbufUI4igaBijZNnFMcTPCCNp4mI87RCHm6a%2FQhmOLFy45erACpUYTBI7ebY7uw51oruVJ6FZXsQVHWJjrfKxFULMc5%2BITNpA072gcLn%2FGO3SGONz3azijP4eG1MtujldWxsvMj39cltXsNboIuDfl4pe9z59tgWPuZFUEcwg17nkBO8Fg%3D%3D&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Date=20230922T094716Z&X-Amz-SignedHeaders=host&X-Amz-Expires=35999&X-Amz-Credential=ASIATGEOL5AHVAIH3VM2%2F20230922%2Fap-south-1%2Fs3%2Faws4_request&X-Amz-Signature=e77907b37feb121254af1955bfe4efa6a6f9ab84afa04bc17a3f4465ae92568a",
        "error": null
    },
    "errors": []
}
```

### Sample Response (Error)

HTTP Status Code - 401 Unauthorized

```json
{
    "activityId": null,
    "status": null,
    "processingStats": [],
    "fileError": null,
    "errors": [
        {
            "errorMessage": "Invalid Auth Token",
            "errorField": null,
            "errorValues": null,
            "errorCode": "AUTHENTICATION_FAILED"
        }
    ]
}
```

### API Validations

Currently there are no known validations.

### API Constraints

Currently there are no known constraints.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cleartax.in/cleartax-docs/tds-api/tds-api-reference/tds-apis/upload-deductions/ingest-deductions-via-file/get-file-ingestion-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
